<div mat-dialog-content [formGroup]="addUserForm">
  <p>First name</p>
  <mat-form-field>
    <input matInput formControlName="first_name" />
  </mat-form-field>
  <div
    *ngIf="
      addUserForm.controls.first_name.getError('required') &&
      addUserForm.controls.first_name.touched
    "
    class="alert alert-danger"
  >
    First name is required
  </div>

  <div
    *ngIf="
      addUserForm.controls.first_name.getError('maxlength') &&
      addUserForm.controls.first_name.touched
    "
    class="alert alert-danger"
  >
    First name length cannot be longer then 255 characters
  </div>

  <div
    *ngIf="
      addUserForm.controls.first_name.touched &&
      addUserForm.controls.first_name.hasError('whitespace')
    "
    class="alert alert-danger"
  >
    Stop typing spaces instead of characters!!!
  </div>

  <p>Last name</p>
  <mat-form-field>
    <input matInput formControlName="last_name" />
  </mat-form-field>
  <div
    *ngIf="
      addUserForm.controls.last_name.getError('required') &&
      addUserForm.controls.last_name.touched
    "
    class="alert alert-danger"
  >
    Last name is required
  </div>

  <div
    *ngIf="
      addUserForm.controls.last_name.getError('maxlength') &&
      addUserForm.controls.last_name.touched
    "
    class="alert alert-danger"
  >
    Last name length cannot be longer then 255 characters
  </div>

  <div
    *ngIf="
      addUserForm.controls.last_name.touched &&
      addUserForm.controls.last_name.hasError('whitespace')
    "
    class="alert alert-danger"
  >
    Stop typing spaces instead of characters!!!
  </div>

  <p>Email</p>
  <mat-form-field>
    <input matInput formControlName="email" />
  </mat-form-field>
  <div
    *ngIf="
      addUserForm.controls.email.getError('required') &&
      addUserForm.controls.email.touched
    "
    class="alert alert-danger"
  >
    Email is required
  </div>

  <div
    *ngIf="
      addUserForm.controls.email.getError('maxlength') &&
      addUserForm.controls.email.touched
    "
    class="alert alert-danger"
  >
    Email length cannot be longer then 70 characters
  </div>

  <div
    *ngIf="
      addUserForm.controls.email.getError('email') &&
      addUserForm.controls.email.touched
    "
    class="alert alert-danger"
  >
    Wrong email format
  </div>

  <p>Password</p>
  <mat-form-field>
    <input matInput formControlName="password" type="password" />
  </mat-form-field>
  <div
    *ngIf="
      addUserForm.controls.password.getError('required') &&
      addUserForm.controls.password.touched
    "
    class="alert alert-danger"
  >
    Password is required
  </div>

  <div
    *ngIf="
      addUserForm.controls.password.getError('maxlength') &&
      addUserForm.controls.password.touched
    "
    class="alert alert-danger"
  >
    Password length cannot be longer then 255 characters
  </div>

  <div
    *ngIf="
      addUserForm.controls.password.getError('minlength') &&
      addUserForm.controls.password.touched
    "
    class="alert alert-danger"
  >
    Password length cannot be shorter then 6 characters
  </div>

  <div
    *ngIf="
      addUserForm.controls.password.touched &&
      addUserForm.controls.password.hasError('whitespace')
    "
    class="alert alert-danger"
  >
    Stop typing spaces instead of characters!!!
  </div>
</div>

<div mat-dialog-actions>
  <button mat-button (click)="onCloseClick()">Close</button>
  <button
    mat-button
    [disabled]="addUserForm.invalid"
    (click)="onSubmit()"
    cdkFocusInitial
  >
    Create
  </button>
</div>
